Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface PendingUpdateList

All Known Implementing Classes:
  PendingUpdateListImpl

    public interface PendingUpdateList

A PendingUpdateList is created by updating expressions in XQuery Update.

The implementation of this interface is in Saxon-EE.

Method Summary
`void` | `addPutAction(NodeInfo node, String uri, Expression originator)` Add a put() action to the pending update list
`void` | `apply(XPathContext context, int validationMode)` Apply the pending updates
`Set` | `getAffectedTrees()` Get the root nodes of the trees that are affected by updates in the pending update list

Method Detail

### apply

    void apply(XPathContext context,
               int validationMode)
               throws XPathException

  Apply the pending updates

  Parameters:
    `context` - the XPath dynamic evaluation context
    `validationMode` - the revalidation mode from the static context
  Throws:
    `XPathException`

### getAffectedTrees

    Set getAffectedTrees()

  Get the root nodes of the trees that are affected by updates in the pending update list

  Returns:
    the root nodes of affected trees, as a Set

### addPutAction

    void addPutAction(NodeInfo node,
                      String uri,
                      Expression originator)
                      throws XPathException

  Add a put() action to the pending update list

  Parameters:
    `node` - (the first argument of put())
    `uri` - (the second argument of put())
    `originator` - the originating put() expression, for diagnostics
  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.